# $Revision: 1.39.2.2 $, $Date: 2007/01/21 20:06:47 $
# TODO: PLDify init.d/restorecond (uses bashisms instead of our nls)
#
# Conditional build:
%bcond_with	restorecond	# build restorecond (glibc>2.4)
#
%include	/usr/lib/rpm/macros.perl
Summary:	SELinux policy core utilities
Summary(pl):	Podstawowe narzdzia dla polityki SELinux
Name:		policycoreutils
Version:	1.32
Release:	2
License:	GPL
Group:		Base
Source0:	http://www.nsa.gov/selinux/archives/%{name}-%{version}.tgz
# Source0-md5:	78b90e86173cd31bfc17a7a154461a0c
Source1:	%{name}-newrole.pamd
Source2:	%{name}-run_init.pamd
Source3:	%{name}-pl.po
BuildRequires:	audit-libs-devel
BuildRequires:	gettext-devel
%{?with_restorecond:BuildRequires:	glibc-devel >= 6:2.4}
BuildRequires:	libselinux-devel >= 0:1.32
BuildRequires:	libsemanage-devel >= 1.8
BuildRequires:	libsepol-static >= 1.14
BuildRequires:	pam-devel
BuildRequires:	rpm-perlprov
BuildRequires:	rpm-pythonprov
Requires:	libselinux >= 0:1.32
Requires:	libsemanage >= 1.8
Requires:	python
Requires:	python-modules
Requires:	python-semanage >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Security-enhanced Linux is a patch of the Linux kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux. The Security-enhanced Linux kernel
contains new architectural components originally developed to improve
the security of the Flask operating system. These architectural
components provide general support for the enforcement of many kinds
of mandatory access control policies, including those based on the
concepts of Type Enforcement, Role-based Access Control, and
Multi-level Security.

policycoreutils contains the policy core utilities that are required
for basic operation of a SELinux system. These utilities include
load_policy to load policies, setfiles to label filesystems, newrole
to switch roles, and run_init to run /etc/init.d scripts in the proper
context.

%description -l pl
Security-enhanced Linux jest prototypem jdra Linuksa i wielu
aplikacji uytkowych o funkcjach podwyszonego bezpieczestwa.
Zaprojektowany jest tak, aby w prosty sposb ukaza znaczenie
obowizkowej kontroli dostpu dla spoecznoci linuksowej. Ukazuje
rwnie jak tak kontrol mona doda do istniejcego systemu typu
Linux. Jdro SELinux zawiera nowe skadniki architektury pierwotnie
opracowane w celu ulepszenia bezpieczestwa systemu operacyjnego
Flask. Te elementy zapewniaj oglne wsparcie we wdraaniu wielu typw
polityk obowizkowej kontroli dostpu, wczajc te wzorowane na: Type
Enforcement (TE), kontroli dostpu opartej na rolach (RBAC) i
zabezpieczeniach wielopoziomowych.

policycoreutils zawiera narzdzia do ustalania polityki, ktre s
niezbdne do podstawowych operacji na systemie SELinux. Pakiet zawiera
load_policy do wczytywania polityki, setfiles do znaczenia systemu
plikw, newrole do przeczania rl i run_init do uruchamiania we
waciwym kontekcie skryptw zawartych w /etc/rc.d/init.d.

%package tools-perl
Summary:	policycoreutils tools written in Perl
Summary(pl):	Zestaw narzdzi i skryptw policycoreutils napisanych w Perlu
Group:		Base
Requires:	%{name} = %{version}-%{release}

%description tools-perl
policycoreutils tools written in Perl.

%description tools-perl -l pl
Zestaw narzdzi i skryptw policycoreutils napisanych w Perlu.

%package restorecond
Summary:	restorecond - daemon which corrects contexts of newly created files
Summary(pl):	restorecond - demon poprawiajcy konteksty nowo tworzonych plikw
Group:		Daemons
Requires:	%{name} = %{version}-%{release}
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts

%description restorecond
restorecond daemon uses inotify to watch files listed in the
/etc/selinux/restorecond.conf, when they are created, this daemon will
make sure they have the correct file context associated with the
policy.

%description restorecond -l pl
Demon restorecond uywa inotify do ledzenia plikw wymienionych w
pliku /etc/selinux/restorecond.conf, aby przy ich tworzeniu upewni
si, e maj przypisane waciwe konteksty plikw z polityki.

%prep
%setup -q

cp -f %{SOURCE3} po/pl.po
%{!?with_restorecond:sed -i 's/restorecond//' Makefile}

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LIBDIR="%{_libdir}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/man{1,8},/etc/{pam.d,security/console.apps}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	PYTHONLIBDIR=$RPM_BUILD_ROOT%{py_scriptdir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/newrole
install %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/run_init
:> $RPM_BUILD_ROOT/etc/security/console.apps/run_init

%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post restorecond
/sbin/chkconfig --add restorecond
%service restorecond restart

%preun restorecond
if [ "$1" = "0" ]; then
	%service restorecond stop
	/sbin/chkconfig --del restorecond
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog
%attr(4755,root,root) %{_bindir}/chcat
%attr(4755,root,root) %{_bindir}/newrole
%attr(4755,root,root) %{_bindir}/secon
%attr(4755,root,root) %{_bindir}/semodule_*
%attr(755,root,root) /sbin/fixfiles
%attr(755,root,root) /sbin/restorecon
%attr(755,root,root) /sbin/setfiles
%attr(755,root,root) %{_sbindir}/audit2why
%attr(755,root,root) %{_sbindir}/genhomedircon
%attr(755,root,root) %{_sbindir}/load_policy
%attr(755,root,root) %{_sbindir}/open_init_pty
%attr(755,root,root) %{_sbindir}/run_init
%attr(755,root,root) %{_sbindir}/semanage
%attr(755,root,root) %{_sbindir}/semodule
%attr(755,root,root) %{_sbindir}/setsebool
%attr(755,root,root) %{_sbindir}/sestatus
%{py_sitescriptdir}/*.py[co]
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/newrole
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/run_init
%config(missingok) /etc/security/console.apps/*
%config(noreplace) %verify(not md5 mtime size) /etc/sestatus.conf
%{_mandir}/man1/newrole.1*
%{_mandir}/man1/secon.1*
%{_mandir}/man8/audit2why.8*
%{_mandir}/man8/chcat.8*
%{_mandir}/man8/fixfiles.8*
%{_mandir}/man8/genhomedircon.8*
%{_mandir}/man8/load_policy.8*
%{_mandir}/man8/open_init_pty.8*
%{_mandir}/man8/restorecon.8*
%{_mandir}/man8/run_init.8*
%{_mandir}/man8/semanage.8*
%{_mandir}/man8/semodule*.8*
%{_mandir}/man8/sestatus.8*
%{_mandir}/man8/setfiles.8*
%{_mandir}/man8/setsebool.8*

%files tools-perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/audit2allow
%{_mandir}/man1/audit2allow.1*

%if %{with restorecond}
%files restorecond
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/restorecond
%attr(754,root,root) /etc/rc.d/init.d/restorecond
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/selinux/restorecond.conf
%{_mandir}/man8/restorecond.8*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: policycoreutils.spec,v $
Revision 1.39.2.2  2007/01/21 20:06:47  twittner
- rel. 2

Revision 1.39.2.1  2007/01/17 12:49:24  zbyniu
- don't build restorecond for AC, rel 1

Revision 1.39  2007/01/17 12:41:11  zbyniu
- bcond without restorecond

Revision 1.38  2006/12/09 21:01:49  qboosh
- chkconfig; release 0.2

Revision 1.37  2006/12/09 20:58:59  qboosh
- moved restorecond to subpackage

Revision 1.36  2006/11/23 23:50:06  qboosh
- updated files

Revision 1.35  2006/10/31 23:52:02  qboosh
- updated to 1.32; not finished, requires glibc 2.4 (for <sys/inotify.h>)

Revision 1.34  2006/03/19 12:44:45  qboosh
- updated to 1.30, updated pl.po

Revision 1.33  2005/12/22 21:06:06  qboosh
- genhomedircon requires python-semanage

Revision 1.32  2005/12/22 07:09:49  qboosh
- updated to 1.28, updated pl.po

Revision 1.31  2005/09/22 21:51:23  qboosh
- updated pl.po, more files

Revision 1.30  2005/09/22 16:09:39  arekm
- up to 0.26

Revision 1.29  2005/07/26 15:34:08  zbyniu
- BR: libsepol-static, rpm-pythonprov; R: python

Revision 1.28  2005/07/01 22:06:13  qboosh
- updated to 1.24

Revision 1.27  2005/03/12 00:11:41  qboosh
- updated to 1.22, updated pl.po

Revision 1.26  2005/01/08 17:07:52  qboosh
- updated to 1.20

Revision 1.25  2004/11/04 19:49:10  qboosh
- added ChangeLog to doc

Revision 1.24  2004/11/04 19:37:32  qboosh
- updated to 1.18, updated pl.po

Revision 1.23  2004/10/29 14:34:58  paladine
- pl fixes

Revision 1.22  2004/08/28 23:02:54  qboosh
- updated to 1.16

Revision 1.21  2004/07/02 23:21:28  qboosh
- updated to 1.14

Revision 1.20  2004/05/28 19:54:03  qboosh
- added fixfiles script

Revision 1.19  2004/05/28 17:15:13  arekm
- updated to 1.12

Revision 1.18  2004/05/13 17:43:08  ankry
- spaces -> tabs, other cosmetics

Revision 1.17  2004/04/13 20:38:19  wiget
- updated to 1.10

Revision 1.16  2004/03/14 18:41:16  ankry
- pl fixes

Revision 1.15  2004/03/13 23:08:18  qboosh
- updated to 1.8, removed obsolete sh patch

Revision 1.14  2004/02/24 22:51:41  qboosh
- updated optflags passing, added pl.po, release 2

Revision 1.13  2004/02/24 13:40:42  qboosh
- updated to 1.6

Revision 1.12  2004/02/11 16:00:20  qboosh
- genhomedircon requires python-modules

Revision 1.11  2004/02/11 15:53:30  qboosh
- added additional utilities and patch from Fedora; release 4

Revision 1.10  2004/01/11 10:46:11  eothane
- added missing BR: gettext-devel

Revision 1.9  2003/12/27 22:05:22  ankry
- cosmetics

Revision 1.8  2003/12/27 20:55:36  arekm
rel 3; new subpackage with perl tools (audit2allow script); newrole is SUID binary

Revision 1.7  2003/12/27 14:06:23  arekm
- added pld pam configs

Revision 1.6  2003/12/10 21:34:05  qboosh
- updated to 1.4 (no longer static), BR: pam-devel

Revision 1.5  2003/10/21 21:54:13  qboosh
- BR: glibc-static (load_policy is linked wholly statically)

Revision 1.4  2003/10/19 22:43:31  arekm
- updated to 1.2; fixed requires (now the question is: is it really needed to link it with static libselinux?)

Revision 1.3  2003/07/02 15:24:31  qboosh
- use proper CC and CFLAGS, marked pam files as config

Revision 1.2  2003/06/28 14:55:57  qboosh
- pl summary, typo, cleanups

Revision 1.1  2003/06/18 17:51:39  michuz
- adapterized (stolen form RH)
- added polish translation

* Mon Jun 2 2003 Dan Walsh <dwalsh@redhat.com> 1.0-1
- Initial version
